Lịch sử trạng thái lệnh điều kiện
curl --request GET \
--url https://api.ssi.com.vn/api/v3/trading/fco/statusHistory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.ssi.com.vn/api/v3/trading/fco/statusHistory"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ssi.com.vn/api/v3/trading/fco/statusHistory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"state": "INIT",
"time": "20/08/2026 16:00:22",
"code": 200,
"detail": "Success"
},
{
"state": "WAIT",
"time": "20/08/2026 16:00:22",
"code": 200,
"detail": "state is WAIT"
},
{
"state": "WC",
"time": "20/08/2026 16:13:17",
"code": 200,
"detail": "Success"
},
{
"state": "WC",
"time": "20/08/2026 16:13:19",
"code": 200,
"detail": "state is WC"
},
{
"state": "TER",
"time": "20/08/2026 16:13:22",
"code": 10001,
"detail": "Deactivated conditional order as the order has been cancelled by customer"
}
]
}{
"code": "<string>",
"msg": "<string>"
}{
"code": "<string>",
"msg": "<string>"
}{
"code": "<string>",
"msg": "<string>"
}Lệnh điều kiện
Lịch sử trạng thái lệnh điều kiện
Lấy lịch sử thay đổi trạng thái của một lệnh điều kiện.
GET
/
api
/
v3
/
trading
/
fco
/
statusHistory
Lịch sử trạng thái lệnh điều kiện
Ủy quyền
Access token lấy từ endpoint /api/v3/auth/token hoặc /api/v3/auth/refresh.
Tiêu đề
Định dạng nội dung request body. Chủ yếu là application/json.
Thông tin client gửi request.
Ngôn ngữ phản hồi mong muốn. Nếu không có header này, hệ thống sẽ mặc định là en
Tham số truy vấn
ID của lệnh điều kiện cần truy vấn lịch sử trạng thái.
Phản hồi
Thành công.
Dữ liệu trả về.
Show child attributes
Show child attributes